summaryrefslogtreecommitdiff
path: root/support/fribidixetex/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'support/fribidixetex/autogen.sh')
-rw-r--r--support/fribidixetex/autogen.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/support/fribidixetex/autogen.sh b/support/fribidixetex/autogen.sh
new file mode 100644
index 0000000000..3bd1232f2a
--- /dev/null
+++ b/support/fribidixetex/autogen.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+echo -n "checking for pkg-config... "
+which pkg-config || {
+ echo "*** No pkg-config found, please install it ***"
+ exit 1
+}
+
+echo -n "checking for autoreconf... "
+which autoreconf || {
+ echo "*** No autoreconf found, please install it ***"
+ exit 1
+}
+
+echo "running autoreconf --force --install --verbose"
+autoreconf --force --install --verbose || exit $?